Chuyển đến nội dung
Diễn đàn CADViet

nguyenkienAgr

Thành viên
  • Số lượng nội dung

    2
  • Đã tham gia

  • Lần ghé thăm cuối

Cộng đồng

0 (bình thường)

About nguyenkienAgr

  • Cấp bậc
    Chưa sử dụng CAD
  1. nguyenkienAgr

    Sửa lại lệnh DIM cho tiện dụng hơn

    Lisp của bạn rất hay, cách gán biến dimlayer cũng rất hay! Cám ơn bạn nhiều!
  2. nguyenkienAgr

    Sửa lại lệnh DIM cho tiện dụng hơn

    Chào cả nhà, Xin giúp mình viết 1 lisp để gọi lệnh DIM: ;;;Khi gõ lệnh thi chuyển sang lớp "Dim" - nếu ko có lớp "Dim" thì tạo lớp "Dim" - ;;;Sau khi xong lệnh hoặc "error" thi chuyển về lớp hiện tại Mình viết lisp sau mà nó ko chạy như ý muốn. Mọi người chỉnh giúp mình sai ở chỗ nào. Xin cám ơn ! (defun C:D (/ CLA) (setq CLA (getvar "clayer")) (setvar "clayer" "DIM") (setq PT1 (getpoint "Pick the first point: ")) (setq PT2 (getpoint PT1 "Pick second point: ")) (command "._dimlinear" PT1 PT2) (setvar "clayer" CLA) (princ) )
×